@font-face {
  font-family: 'LaylaThuluth';
  src: url('fonts/Layla-Thuluth.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

.arabic-font {
  font-family: 'LaylaThuluth', sans-serif;
  }

.english-font {
 font-family: 'Cinzel', serif;
}

html, body {
  height: 100%;
  margin: 0;
}

body {
  margin: 0;
  /* background: #ffffff; */
  /* overflow: hidden; */
  background: #faf0d7;
  color: #2f373c;
  /* opacity: 0;
  transform: translateY(10px);
  animation: fadeIn 0.4s ease forwards; */
  -webkit-tap-highlight-color: transparent;
  /* overflow: hidden; */
 
}



.fade-in {
  opacity: 0;
  transform: translateY(10px);
  animation: fadeIn 0.4s ease forwards;
}

@keyframes fadeIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

button {
  /* color: black; */
  /* background: #222; */
  background: #faf0d7;
  /* color: white; */
  color: #2f373c;
  /* font-family: 'Poppins', sans-serif; */
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
  /* padding: 5; */
  overflow: visible;
}

button.active {
  /* background: #222; */
  /* color: white; */
  color: #faf0d7;
  /* background: #2f373c; */
  background: #ae8a56;
  /* background: #ae8a56; */
  /* transition: 0.4s ease; */
  /* transform: scale(1.05); */
   transform: translateX(3px);
  transition: transform 0.4s ease-out; /* */
   box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2); 
}

/* Toolbar */
.toolbar {
  /* position: sticky; */
  top: 0;
  /* z-index: 2000; */
  background: #e5d7bc;
  backdrop-filter: blur(6px);
  display: flex;
  gap: 10%;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 10px 0px;
  box-shadow: 2px 4px 6px rgba(33, 33, 33, 0.3);
  height: 70px;
}


.lang-btn {
  /* width: 25%; */
  border: none;
  padding: 10px 18px;
  /* border-radius: 20px; */
  background: transparent;
  cursor: pointer;
  /* box-shadow: 2px 4px 6px rgba(255, 255, 255, 0.2); */
  box-shadow: 2px 4px 6px rgba(9, 9, 9, 0.2);
}




.lang-btn.active {
  /* background: #222; */
  background: transparent;
  /* color: white; */
  color: #2f373c; 
  /* border: 1.5px solid #2f373c; */
  border: 1.5px solid #ae8a56;
  transition: 0.5s ease;
}

.logo img {
  object-fit: contain;
  box-shadow: 2px 4px 6px rgba(0, 0, 0, 0.5);
  border-radius: 40px;
}

/* Main Category Slider */
/* .category-slider {
  position: sticky;
  top: 90px;
  z-index: 1500;
  background: white;
  display: flex;
  overflow-x: auto;
  padding: 10px;
  gap: 10px;
  border-bottom: 1px solid #ddd;
  scrollbar-width: none;
} */

/* Sticky category slider */
.category-slider {
  /* background: white; */
  /* border-bottom: 1px solid rgba(47, 55, 60, 0.1); */
  /* box-shadow: 2px 4px 6px rgba(0, 0, 0, 0.04); */
  box-shadow: 2px 4px 6px rgba(0, 0, 0, 0.04);
  position: sticky;
  top: 0;
  z-index: 1000;

  display: flex;
  gap: 10px;
  overflow-x: auto;
  padding: 10px 10px;
  padding-top: 15px;

  height: fit-content;
  scrollbar-width: none;
}


.category-slider::-webkit-scrollbar {
  display: none;
}

.category-slider button {
  /* background: #eee; */

  border: none;
  padding: 10px 18px;

  cursor: pointer;
  white-space: nowrap;
/* font-family: 'Times New Roman', Times, serif;  */



}

.category-slider button.active {
/* 
    transform: translateY(2px);
  transition: transform 0.4s ease-out;  */
  /* font-family: 'Times New Roman', Times, serif; */
  }


/* Make wrapper a flex container with independent scroll */
.content-wrapper {
  display: flex;
  /* min-height: calc(100vh - 150px); */
  /* position: relative; important */
  overflow: hidden;
  /* padding-bottom: 10px; */
  height: 80%;
  /* height:70vh; */
}

/* Fixed / non-scrolling left sidebar */
.sub-category-bar {

  width: 150px;
  /* background: white; */
  /* border-right: 1px solid #2f373c; */
  /* box-shadow: 2px 4px 6px rgba(255, 255, 255, 0.2); */
  /* box-shadow: 10px 0 15px -5px rgba(0, 0, 0, 0.05); */
  box-shadow: 10px 0 15px -5px rgba(0, 0, 0, 0.05), -10px 0 15px -5px rgba(0, 0, 0, 0.05);

  padding: 10px;
  /* padding-right: 5px; */
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding-top: 30px;

  position: sticky;
  /* or fixed */
  top: 150px;
  /* height of toolbar + main slider */
  align-self: flex-start;
  /* keep at top */
  /* height: 100vh; */
  height: 100%;
  /* max-height: calc(100vh - 240px); */
  overflow: hidden;
}

/* Items grid scrolls independently */
.category-content {
  /* width: 100vh; */
  padding: 20px;
  padding-bottom: 0px;
  padding-left: 10px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
  gap: 15px;

  overflow-y: auto;
  /* enable scroll */
  /* max-height: calc(100vh - 240px); */
  /* height: min-content; */
  /* border-style: solid;
  border-color: black; */
  height: 100%;

  /* opacity: 0; */
  transition: opacity 0.25s ease;
}


.menu-container {
  width: 100%;
  /* border-style: solid;
  border-color: black; */
  /* padding-bottom: 10px; */
  height: 95%;
  

}


.sub-category-bar button {
  /* background: #eee; */
  border: none;
  padding: 10px;
  cursor: pointer;
  text-align: left;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}

/* .sub-category-bar button.active { */
  /* background: #222;
  color: white; */
 
  /* transform: scale(1.05);
   transition: transform 0.4s ease-out; */
  /* box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2); */
/* } */



.menu-item {
  /* background: white; */
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
  transition: 0.4s ease;
  height: max-content;
  /* width: max-content; */
  background: #e5d7bc;
  border: 2px solid rgba(47, 55, 60, 0.2);
  /* border-style: solid; */
  /* animation: fadeIn 0.4s ease forwards; */
  padding: 0px;
  padding-bottom: 10px;

   /* transition: transform 0.08s ease; */
   
}




.menu-item img {
  width: 100%;
  height: 120px;
  object-fit: cover;
}

.menu-info {
  width: 100%;
  height: 100%;
  padding: 0px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

/* .menu-info:active {
  transform: scale(0.98);
  opacity: 0.8;
  transition: none;
} */



/* ------------------------------------- */
/* ####Fonts - EN */

.lang-btn.en {
  font-family: 'Cinzel', serif;
  font-size: 14px;
}

/* body.en{
  font-family: 'Cinzel', serif;
  font-size: 14px;
} */

#categorySlider.en button{
  font-family: 'Cinzel', serif;
  font-size: 16px;
} 
#subCategoryBar.en button{
  font-family: 'Cinzel', serif;
  font-size: 16px;
} 


.itemName.en {
   font-family: 'Cinzel', serif;
  font-size: 16px;
  /* padding-top:5px; */
  padding-left:5px;
  /* font-size: 15px; */
}

.itemPrice.en {
  font-family: 'Cinzel', serif;
  font-size: 14px;
  /* padding-top: 0px; */
  padding-left: 5px;
  font-weight: bold;
}



/* ----------------------- */
/* ####Fonts - AR */

.lang-btn.ar {
  font-family: 'LaylaThuluth', serif;
  font-size: 16px;
}

/* body.ar{
  font-family: 'LaylaThuluth', serif;
  font-size: 16px;
} */



.itemName.ar {
  font-family: 'LaylaThuluth', serif;
  font-size: 20px;
  /* font-weight: bold; */
  /* padding-top:5px; */
  padding-right:10px;
  /* font-size: 15px; */
}

.itemPrice.ar {
  font-family: "Cinzel", serif;
  font-size: 14px;
  /* padding-top: 0px; */
  padding-right: 10px;
  font-weight: bold;
}


#categorySlider.ar button{
  font-family: 'LaylaThuluth', serif;
  /* font-weight: bold; */
  font-size: 18px;
}


#subCategoryBar.ar button{
  font-family: 'LaylaThuluth', serif;
  /* font-weight: bold; */
  font-size: 18px;
}